Scripting

Problem: Openssl pkcs12 call is done and appears next message:

Error outputting keys and certificates
<error_code>:error:0308010C:digital envelope routines:inner_evp_generic_fetch:unsupported:../openssl-<version>/crypto/evp/evp_fetch.c:341:Global default library context, Algorithm (RC2-40-CBC : 0), Properties ()

Solution: Just include -legacyat the end of the command.

Explanation: OpenSSL 3.x.x doesn’t support old algorithms and with this solution we allow to use it.

Source: Openssl documentation

For more interesting tutorials & guides just check them HERE.

Leave a Reply

Your email address will not be published. Required fields are marked *